## EmpathyLogManager

EmpathyLogManager

## Synopsis

                        EmpathyLogSearchHit;
                        EmpathyLogManager;
    gboolean            (*EmpathyLogMessageFilter)          (EmpathyMessage *message,
                                                             gpointer user_data);
    EmpathyLogManager * empathy_log_manager_dup_singleton   (void);
    gboolean            empathy_log_manager_add_message     (EmpathyLogManager *manager,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             EmpathyMessage *message,
                                                             GError **error);
    gboolean            empathy_log_manager_exists          (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);
    GList *             empathy_log_manager_get_dates       (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);
    GList *             empathy_log_manager_get_messages_for_date
                                                            (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             const gchar *date);
    GList *             empathy_log_manager_get_filtered_messages
                                                            (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             guint num_messages,
                                                             EmpathyLogMessageFilter filter,
                                                             gpointer user_data);
    GList *             empathy_log_manager_get_chats       (EmpathyLogManager *manager,
                                                             McAccount *account);
    GList *             empathy_log_manager_search_new      (EmpathyLogManager *manager,
                                                             const gchar *text);
    void                empathy_log_manager_search_free     (GList *hits);
    gchar *             empathy_log_manager_get_date_readable
                                                            (const gchar *date);
    void                empathy_log_manager_search_hit_free (EmpathyLogSearchHit *hit);
    void                empathy_log_manager_observe         (EmpathyLogManager *log_manager,
                                                             EmpathyDispatcher *dispatcher);

## Object Hierarchy

      GObject
       +----EmpathyLogManager

## Description

## Details

### EmpathyLogSearchHit

    typedef struct {
      McAccount *account;
      gchar     *chat_id;
      gboolean   is_chatroom;
      gchar     *filename;
      gchar     *date;
    } EmpathyLogSearchHit;

### EmpathyLogManager

    typedef struct _EmpathyLogManager EmpathyLogManager;

### EmpathyLogMessageFilter ()

    gboolean            (*EmpathyLogMessageFilter)          (EmpathyMessage *message,
                                                             gpointer user_data);

`message` : |
`user_data` : |
Returns : |

### empathy_log_manager_dup_singleton ()

    EmpathyLogManager * empathy_log_manager_dup_singleton   (void);

Returns : |

### empathy_log_manager_add_message ()

    gboolean            empathy_log_manager_add_message     (EmpathyLogManager *manager,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             EmpathyMessage *message,
                                                             GError **error);

`manager` : |
`chat_id` : |
`chatroom` : |
`message` : |
`error` : |
Returns : |

### empathy_log_manager_exists ()

    gboolean            empathy_log_manager_exists          (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);

`manager` : |
`account` : |
`chat_id` : |
`chatroom` : |
Returns : |

### empathy_log_manager_get_dates ()

    GList *             empathy_log_manager_get_dates       (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom);

`manager` : |
`account` : |
`chat_id` : |
`chatroom` : |
Returns : |

### empathy_log_manager_get_messages_for_date ()

    GList *             empathy_log_manager_get_messages_for_date
                                                            (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             const gchar *date);

`manager` : |
`account` : |
`chat_id` : |
`chatroom` : |
`date` : |
Returns : |

### empathy_log_manager_get_filtered_messages ()

    GList *             empathy_log_manager_get_filtered_messages
                                                            (EmpathyLogManager *manager,
                                                             McAccount *account,
                                                             const gchar *chat_id,
                                                             gboolean chatroom,
                                                             guint num_messages,
                                                             EmpathyLogMessageFilter filter,
                                                             gpointer user_data);

`manager` : |
`account` : |
`chat_id` : |
`chatroom` : |
`num_messages` : |
`filter` : |
`user_data` : |
Returns : |

### empathy_log_manager_get_chats ()

    GList *             empathy_log_manager_get_chats       (EmpathyLogManager *manager,
                                                             McAccount *account);

`manager` : |
`account` : |
Returns : |

### empathy_log_manager_search_new ()

    GList *             empathy_log_manager_search_new      (EmpathyLogManager *manager,
                                                             const gchar *text);

`manager` : |
`text` : |
Returns : |

### empathy_log_manager_search_free ()

    void                empathy_log_manager_search_free     (GList *hits);

`hits` : |

### empathy_log_manager_get_date_readable ()

    gchar *             empathy_log_manager_get_date_readable
                                                            (const gchar *date);

`date` : |
Returns : |

### empathy_log_manager_search_hit_free ()

    void                empathy_log_manager_search_hit_free (EmpathyLogSearchHit *hit);

`hit` : |

### empathy_log_manager_observe ()

    void                empathy_log_manager_observe         (EmpathyLogManager *log_manager,
                                                             EmpathyDispatcher *dispatcher);

`log_manager` : |
`dispatcher` : |